Index: palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1321)
+++ palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1682)
@@ -1,7 +1,3 @@
- SUBROUTINE user_read_restart_data( i, nxlfa, nxl_on_file, nxrfa, nxr_on_file, &
-                                    nynfa, nyn_on_file, nysfa, nys_on_file,    &
-                                    offset_xa, offset_ya, overlap_count,       &
-                                    tmp_2d, tmp_3d )
-
+!> @file user_read_restart_data.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -23,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Code annotations made doxygen readable
 !
 ! Former revisions:
@@ -47,10 +43,15 @@
 ! Description:
 ! ------------
-! Reading restart data from file(s)
-! Subdomain index limits on file are given by nxl_on_file, etc.
-! Indices nxlc, etc. indicate the range of gridpoints to be mapped from the
-! subdomain on file (f) to the subdomain of the current PE (c). They have been
-! calculated in routine read_3d_binary.
+!> Reading restart data from file(s)
+!> Subdomain index limits on file are given by nxl_on_file, etc.
+!> Indices nxlc, etc. indicate the range of gridpoints to be mapped from the
+!> subdomain on file (f) to the subdomain of the current PE (c). They have been
+!> calculated in routine read_3d_binary.
 !------------------------------------------------------------------------------!
+ SUBROUTINE user_read_restart_data( i, nxlfa, nxl_on_file, nxrfa, nxr_on_file, &
+                                    nynfa, nyn_on_file, nysfa, nys_on_file,    &
+                                    offset_xa, offset_ya, overlap_count,       &
+                                    tmp_2d, tmp_3d )
+ 
 
     USE control_parameters
@@ -66,36 +67,36 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=20) :: field_char   !: 
+    CHARACTER (LEN=20) :: field_char   !< 
 
-    INTEGER(iwp) ::  i               !: 
-    INTEGER(iwp) ::  k               !: 
-    INTEGER(iwp) ::  nxlc            !: 
-    INTEGER(iwp) ::  nxlf            !: 
-    INTEGER(iwp) ::  nxl_on_file     !: 
-    INTEGER(iwp) ::  nxrc            !: 
-    INTEGER(iwp) ::  nxrf            !: 
-    INTEGER(iwp) ::  nxr_on_file     !: 
-    INTEGER(iwp) ::  nync            !: 
-    INTEGER(iwp) ::  nynf            !: 
-    INTEGER(iwp) ::  nyn_on_file     !: 
-    INTEGER(iwp) ::  nysc            !: 
-    INTEGER(iwp) ::  nysf            !: 
-    INTEGER(iwp) ::  nys_on_file     !: 
-    INTEGER(iwp) ::  overlap_count   !: 
+    INTEGER(iwp) ::  i               !< 
+    INTEGER(iwp) ::  k               !< 
+    INTEGER(iwp) ::  nxlc            !< 
+    INTEGER(iwp) ::  nxlf            !< 
+    INTEGER(iwp) ::  nxl_on_file     !< 
+    INTEGER(iwp) ::  nxrc            !< 
+    INTEGER(iwp) ::  nxrf            !< 
+    INTEGER(iwp) ::  nxr_on_file     !< 
+    INTEGER(iwp) ::  nync            !< 
+    INTEGER(iwp) ::  nynf            !< 
+    INTEGER(iwp) ::  nyn_on_file     !< 
+    INTEGER(iwp) ::  nysc            !< 
+    INTEGER(iwp) ::  nysf            !< 
+    INTEGER(iwp) ::  nys_on_file     !< 
+    INTEGER(iwp) ::  overlap_count   !< 
 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxlfa       !: 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxrfa       !: 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nynfa       !: 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nysfa       !: 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_xa   !: 
-    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_ya   !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxlfa       !< 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxrfa       !< 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nynfa       !< 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nysfa       !< 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_xa   !< 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_ya   !< 
 
     REAL(wp),                                                                  &
        DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
-          tmp_2d   !: 
+          tmp_2d   !< 
 
     REAL(wp),                                                                  &
        DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
-          tmp_3d   !: 
+          tmp_3d   !< 
 
 !
